#ifndef VECTOR_H
#define VECTOR_H

#define DIMENSION  10                           // maximum dimension

class vector
{
public:
    vector();
    vector( const vector & );
    double &operator [] ( int );
    const double &operator[]( int ) const;
    const vector &operator = ( const vector & );
    vector operator + ( const vector & );
    vector operator * ( const double );

private:
    double vp[DIMENSION];                       // the vector
};

#endif
